﻿# Text To Speechで読み上げを行う

Add-Type -AssemblyName System.Speech
$synth = New-Object Speech.Synthesis.SpeechSynthesizer

$synth.SelectVoice("Microsoft Haruka Desktop")
$synth.Speak("今日は、コンピュータの舞台裏 第7回にお越しいただき、ありがとうございます。") 

# Web API(RSS)を利用して天気予報を読み上げる
$tenkis = Invoke-RestMethod http://rss.weather.yahoo.co.jp/rss/days/6200.xml
$tenkis | foreach{
    if($_.title -match "【 (\d)+日（(.)） (.+)（.+?） 】 (.+) - (\d+)℃/(\d+)℃ -")
    {
        $synth.Speak(("{0}市、{1}日、{2}曜日の天気は{3}。最高気温は{4}度、最低気温は{5}度でしょう。" -f $Matches[3,1,2,4,5,6]))
    }
}