﻿# 指定Webページに含まれるすべての画像ファイルをimagesフォルダにダウンロードする

pushd .\images

$uri = [uri]"http://winscript.jp/powershell/"
Invoke-WebRequest $uri|
    select -ExpandProperty Images|
    foreach{
        $imageUri = [uri]$_.src
        if($null -eq $imageUri)
        {
            $imageUri = New-Object uri -arg $uri,$_.src
        }
        
        if($imageUri.Scheme -eq "http")
        {
            Write-Host $imageUri.AbsoluteUri をダウンロードします。
            Invoke-WebRequest $imageUri.AbsoluteUri -OutFile $imageUri.Segments[-1] 
        }
    } 

popd